<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iCelZone Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iCelZone Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iCelZone" --><!-- doxytag: inherits="iBase" -->
<p>A zone.  
 <a href="structiCelZone.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="zone_8h_source.html">propclass/zone.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iCelZone:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiCelZone.png" usemap="#iCelZone_map" alt=""/>
  <map id="iCelZone_map" name="iCelZone_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,64,24"/>
</map>
 </div></div>

<p><a href="structiCelZone-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiCelRegion.html">iCelRegion</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelZone.html#ab2e1706b59b65194b99f980a60069ced">FindRegion</a> (const char *name) const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the specified region.  <a href="#ab2e1706b59b65194b99f980a60069ced"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelZone.html#a7238f1f076f0c179eca53fa63d79b377">GetName</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the name of this zone.  <a href="#a7238f1f076f0c179eca53fa63d79b377"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiCelRegion.html">iCelRegion</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelZone.html#a2fee4cdcb5a30fd74c8c6c10900cbe32">GetRegion</a> (size_t idx) const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the specified region.  <a href="#a2fee4cdcb5a30fd74c8c6c10900cbe32"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelZone.html#a78c7904687f8830093afbc0c1ad64c2d">GetRegionCount</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the count of regions in this zone.  <a href="#a78c7904687f8830093afbc0c1ad64c2d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelZone.html#abd56564f169aa6b9d50f57856cd1ead6">LinkRegion</a> (<a class="el" href="structiCelRegion.html">iCelRegion</a> *region)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Link a region with this zone.  <a href="#abd56564f169aa6b9d50f57856cd1ead6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelZone.html#ad4276de61daed662287e934e213471cf">UnlinkAllRegions</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Unlink all regions from this zone.  <a href="#ad4276de61daed662287e934e213471cf"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelZone.html#a3df993232072b09de864dfa2b9dfa909">UnlinkRegion</a> (<a class="el" href="structiCelRegion.html">iCelRegion</a> *region)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Unlink the region from this zone.  <a href="#a3df993232072b09de864dfa2b9dfa909"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>A zone. </p>
<p>A zone represents a collection of regions that are all in memory at the same time. </p>

<p>Definition at line <a class="el" href="zone_8h_source.html#l00186">186</a> of file <a class="el" href="zone_8h_source.html">zone.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="ab2e1706b59b65194b99f980a60069ced"></a><!-- doxytag: member="iCelZone::FindRegion" ref="ab2e1706b59b65194b99f980a60069ced" args="(const char *name) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiCelRegion.html">iCelRegion</a>* <a class="el" href="structiCelZone.html#ab2e1706b59b65194b99f980a60069ced">iCelZone::FindRegion</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the specified region. </p>

</div>
</div>
<a class="anchor" id="a7238f1f076f0c179eca53fa63d79b377"></a><!-- doxytag: member="iCelZone::GetName" ref="a7238f1f076f0c179eca53fa63d79b377" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const char* <a class="el" href="structiCelZone.html#a7238f1f076f0c179eca53fa63d79b377">iCelZone::GetName</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the name of this zone. </p>

</div>
</div>
<a class="anchor" id="a2fee4cdcb5a30fd74c8c6c10900cbe32"></a><!-- doxytag: member="iCelZone::GetRegion" ref="a2fee4cdcb5a30fd74c8c6c10900cbe32" args="(size_t idx) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiCelRegion.html">iCelRegion</a>* <a class="el" href="structiCelZone.html#a2fee4cdcb5a30fd74c8c6c10900cbe32">iCelZone::GetRegion</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>idx</em></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the specified region. </p>

</div>
</div>
<a class="anchor" id="a78c7904687f8830093afbc0c1ad64c2d"></a><!-- doxytag: member="iCelZone::GetRegionCount" ref="a78c7904687f8830093afbc0c1ad64c2d" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual size_t <a class="el" href="structiCelZone.html#a78c7904687f8830093afbc0c1ad64c2d">iCelZone::GetRegionCount</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the count of regions in this zone. </p>

</div>
</div>
<a class="anchor" id="abd56564f169aa6b9d50f57856cd1ead6"></a><!-- doxytag: member="iCelZone::LinkRegion" ref="abd56564f169aa6b9d50f57856cd1ead6" args="(iCelRegion *region)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelZone.html#abd56564f169aa6b9d50f57856cd1ead6">iCelZone::LinkRegion</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiCelRegion.html">iCelRegion</a> *&#160;</td>
          <td class="paramname"><em>region</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Link a region with this zone. </p>

</div>
</div>
<a class="anchor" id="ad4276de61daed662287e934e213471cf"></a><!-- doxytag: member="iCelZone::UnlinkAllRegions" ref="ad4276de61daed662287e934e213471cf" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelZone.html#ad4276de61daed662287e934e213471cf">iCelZone::UnlinkAllRegions</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Unlink all regions from this zone. </p>

</div>
</div>
<a class="anchor" id="a3df993232072b09de864dfa2b9dfa909"></a><!-- doxytag: member="iCelZone::UnlinkRegion" ref="a3df993232072b09de864dfa2b9dfa909" args="(iCelRegion *region)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiCelZone.html#a3df993232072b09de864dfa2b9dfa909">iCelZone::UnlinkRegion</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiCelRegion.html">iCelRegion</a> *&#160;</td>
          <td class="paramname"><em>region</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Unlink the region from this zone. </p>
<p>Returns false if the region could not be found in this zone. </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>propclass/<a class="el" href="zone_8h_source.html">zone.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
